Delete Campaign Data (Token Authentication)

Generated from cURL: curl --location --request DELETE 'https://api.pre-prod.ozonetel.com/ca_apis/deleteCampaignData'
--header 'apiKey: KK00b15555afb7066312663b969a75f74d'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJwcmVwcm9kIiwiZXhwIjoxNzMyNzA2MDUyLCJpYXQiOjE3MzI3MDI0NTJ9.C3jjgqMAiEj25JkviK4r1YwYVyYGSMVHzfZPoPsFNU_uvi8winfk1SDWTMQV47rwesi7qRQFuxe56E0Qhe93DQ'
--header 'Cookie: PHPSESSID=ed286ff09068f8cfdc0fc352184e40de'
--data '{
"campaignName": "QA_Outbound_Predictive",
"phoneNumber": "8187867008",
"userName": "preprod"
}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete campaign data API is used to delete data from the outbound campaigns. One record can be deleted per each request sent.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

To use this API with the help of a token, follow these steps:

  1. Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
  2. Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
  3. With the token entered, pass the header and body parameters:
❗️

Rate Limit

  • API allows 100 request per minute.

Header parameters

ParameterDescription
Content-Typeapplication/json

Body Params

{
"campaignName": "xxxxxxxx",
"phoneNumber": "81xxxxxxx8",
"userName": "xxxxxxx",
"name":"xxxx"
}

Possible response


Success response{"status": "Success","message": "Deleted Successfully"}
Invalid apiKey Key / Missing apiKey key""{""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."",
""data"": null}"
Invalid apiKey Value / Missing apiKey Value{"status": "false","message": "Invalid User Details","data": null}
Invalid userName Key / Missing userName key"{""status"": ""false"",""message"": ""Username Should Not be Null or Empty."",
""data"": null}"
Invalid userName Value{"status": "false","message": "Invalid User Details","data": null}
Invalid campaignName Key{"status": "Error","message": "Campaign should not be null are empty"}
Invalid campaignName Value"{""status"": ""Error"",
""message"": ""Passed campaign are invalid""}"
Missing campaignName key{"status": "Error","message": "Campaign should not be null are empty"}
Invalid PhoneNumber Key{"status": "Error","message": "PhoneNumber should not be null are empty"}
Invalid PhoneNumber Value{"status": "Error","message": "No Record Found"}
Missing PhoneNumber key / Value{"status": "Error","message": "PhoneNumber should not be null are empty"}
Deleting multiple numbers in one request.{"status": "false","message": "Invalid Json Pass Valid Json", "data": null}
Deleting an already deleted number.{"status": "Error","message": "No Record Found"}
Invalid Token Value"{""status"": ""false"",""message"": ""Invalid Token"",
""data"": null}"
Missing Token Value{"status": "false","message": "Token Should Not be Null or Empty.","data": null}
Passing expired Token{"status": "false","message": "Token Expired","data": null}
Body Params
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!